<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/src/TestExceptionEncounteredSender.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_b305b79323af1f2661a24900bce79295.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">TestExceptionEncounteredSender.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_test_exception_encountered_sender_8h_source.html">Integration/TestExceptionEncounteredSender.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TestExceptionEncounteredSender.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_test_exception_encountered_sender_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_integration_2src_2_test_exception_encountered_sender_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_integration_2src_2_test_exception_encountered_sender_8cpp" id="_2workplace_2avs-device-sdk_2_integration_2src_2_test_exception_encountered_sender_8cpp">
<area shape="rect" id="node2" href="_test_exception_encountered_sender_8h.html" title="Integration/TestException\lEncounteredSender.h" alt="" coords="2864,105,3035,144"/>
<area shape="rect" id="node11" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="581,192,771,231"/>
<area shape="rect" id="node47" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="193,192,458,231"/>
<area shape="rect" id="node49" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="2745,365,2946,404"/>
<area shape="rect" id="node50" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="2675,799,2845,837"/>
<area shape="rect" id="node13" href="_a_v_s_directive_8h.html" title="AVSCommon/AVS/AVSDirective.h" alt="" coords="222,372,445,397"/>
<area shape="rect" id="node42" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="560,365,792,404"/>
<area shape="rect" id="node46" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="410,279,635,317"/>
<area shape="rect" id="node16" href="_attachment_manager_interface_8h.html" title="Attachment/AttachmentManager\lInterface.h" alt="" coords="2366,452,2578,491"/>
<area shape="rect" id="node40" href="_a_v_s_message_8h.html" title="AVSMessage.h" alt="" coords="43,1065,155,1091"/>
<area shape="rect" id="node17" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="2306,539,2507,577"/>
<area shape="rect" id="node19" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2629,625,2830,664"/>
<area shape="rect" id="node23" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="2495,972,2697,1011"/>
<area shape="rect" id="node22" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="2576,712,2738,751"/>
<area shape="rect" id="node24" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1152,625,1314,664"/>
<area shape="rect" id="node39" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1026,632,1129,657"/>
<area shape="rect" id="node26" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1875,719,2021,744"/>
<area shape="rect" id="node28" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2143,885,2319,924"/>
<area shape="rect" id="node38" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1894,805,2002,831"/>
<area shape="rect" id="node29" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1611,972,1787,1011"/>
<area shape="rect" id="node31" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1936,1059,2150,1097"/>
<area shape="rect" id="node33" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1395,1145,1571,1184"/>
<area shape="rect" id="node34" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1736,1059,1912,1097"/>
<area shape="rect" id="node36" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1464,1059,1661,1097"/>
<area shape="rect" id="node37" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1061,1059,1237,1097"/>
<area shape="rect" id="node35" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2056,1145,2232,1184"/>
<area shape="rect" id="node41" href="_a_v_s_message_header_8h.html" title="AVSMessageHeader.h" alt="" coords="93,1152,248,1177"/>
<area shape="rect" id="node43" href="_namespace_and_name_8h.html" title="NamespaceAndName.h" alt="" coords="587,545,749,571"/>
<area shape="rect" id="node44" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="348,459,465,484"/>
<area shape="rect" id="node48" href="_exception_error_type_8h.html" title="AVSCommon/AVS/ExceptionError\lType.h" alt="" coords="63,279,286,317"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">alexaClientSDK::integration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1integration_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">alexaClientSDK::integration::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac83fdfae4d895cfad33aa7a79ff94179"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ac83fdfae4d895cfad33aa7a79ff94179">alexaClientSDK::integration::test::JSON_MESSAGE_EVENT_KEY</a> = &quot;event&quot;</td></tr>
<tr class="memdesc:ac83fdfae4d895cfad33aa7a79ff94179"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the event object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ac83fdfae4d895cfad33aa7a79ff94179">More...</a><br /></td></tr>
<tr class="separator:ac83fdfae4d895cfad33aa7a79ff94179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f098424ddabced92c7b603a2a759cc5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a1f098424ddabced92c7b603a2a759cc5">alexaClientSDK::integration::test::JSON_MESSAGE_DIRECTIVE_KEY</a> = &quot;directive&quot;</td></tr>
<tr class="memdesc:a1f098424ddabced92c7b603a2a759cc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the directive object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a1f098424ddabced92c7b603a2a759cc5">More...</a><br /></td></tr>
<tr class="separator:a1f098424ddabced92c7b603a2a759cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25d2ffa0f192a1e6c751e9a99d769c9b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a25d2ffa0f192a1e6c751e9a99d769c9b">alexaClientSDK::integration::test::JSON_MESSAGE_HEADER_KEY</a> = &quot;header&quot;</td></tr>
<tr class="memdesc:a25d2ffa0f192a1e6c751e9a99d769c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the header object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a25d2ffa0f192a1e6c751e9a99d769c9b">More...</a><br /></td></tr>
<tr class="separator:a25d2ffa0f192a1e6c751e9a99d769c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6396aa555c90a23e0993c87815521fe4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6396aa555c90a23e0993c87815521fe4">alexaClientSDK::integration::test::JSON_MESSAGE_NAMESPACE_KEY</a> = &quot;namespace&quot;</td></tr>
<tr class="memdesc:a6396aa555c90a23e0993c87815521fe4"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the namespace value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a6396aa555c90a23e0993c87815521fe4">More...</a><br /></td></tr>
<tr class="separator:a6396aa555c90a23e0993c87815521fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1c630a3c89fc68c7f1aefb47f1e0de"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aab1c630a3c89fc68c7f1aefb47f1e0de">alexaClientSDK::integration::test::JSON_MESSAGE_NAME_KEY</a> = &quot;name&quot;</td></tr>
<tr class="memdesc:aab1c630a3c89fc68c7f1aefb47f1e0de"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the name value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#aab1c630a3c89fc68c7f1aefb47f1e0de">More...</a><br /></td></tr>
<tr class="separator:aab1c630a3c89fc68c7f1aefb47f1e0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8916327968f02031bfd5c3d06ffbbd25"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a8916327968f02031bfd5c3d06ffbbd25">alexaClientSDK::integration::test::JSON_MESSAGE_MESSAGE_ID_KEY</a> = &quot;messageId&quot;</td></tr>
<tr class="memdesc:a8916327968f02031bfd5c3d06ffbbd25"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the messageId value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a8916327968f02031bfd5c3d06ffbbd25">More...</a><br /></td></tr>
<tr class="separator:a8916327968f02031bfd5c3d06ffbbd25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51d3225bb60e2d3956a88ca6e516185d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a51d3225bb60e2d3956a88ca6e516185d">alexaClientSDK::integration::test::JSON_MESSAGE_DIALOG_REQUEST_ID_KEY</a> = &quot;dialogRequestId&quot;</td></tr>
<tr class="memdesc:a51d3225bb60e2d3956a88ca6e516185d"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the dialogRequestId value of a header.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a51d3225bb60e2d3956a88ca6e516185d">More...</a><br /></td></tr>
<tr class="separator:a51d3225bb60e2d3956a88ca6e516185d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae200947b8c657fd0d983b7d996a92604"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae200947b8c657fd0d983b7d996a92604">alexaClientSDK::integration::test::JSON_MESSAGE_PAYLOAD_KEY</a> = &quot;payload&quot;</td></tr>
<tr class="memdesc:ae200947b8c657fd0d983b7d996a92604"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key to get the payload object of a message.  <a href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae200947b8c657fd0d983b7d996a92604">More...</a><br /></td></tr>
<tr class="separator:ae200947b8c657fd0d983b7d996a92604"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
